Name: rpm-macros-features
Version: 20240227
Release: alt0.c10f1.1

Summary: RPM macros to check if can build with a feature
License: GPLv2
Group: Development/Other

Source: %name-%version.tar

Obsoletes: rpm-build-features
Provides: rpm-build-features

%description
RPM macros to check if can build with a feature (a library is possible).

Usage:
if_feature vulkan
BuildRequires: libvulkan-devel
endif

if_feature icu 6.5
...
endif

%prep
%setup

%install
dfile=''

dfile=macros.%_arch

%ifarch %e2k
dfile=macros.e2k
%endif

%ifarch %ix86
dfile=macros.i586
%endif

%ifarch %mips32
dfile=macros.mips32
%endif

%ifarch %arm
dfile=macros.arm
%endif

install -D -m644 macros %buildroot/%_rpmmacrosdir/features
[ -n "$dfile" ] && [ -s "$dfile" ] && cat $dfile >> %buildroot/%_rpmmacrosdir/features

%files
%_rpmmacrosdir/features

%changelog
* Tue Mar 12 2024 Vitaly Lipatov <lav@altlinux.ru> 20240227-alt0.c10f1.1
- build update for c10f1

* Tue Feb 27 2024 Vitaly Lipatov <lav@altlinux.ru> 20240227-alt0.p10.1
- add glusterfs, numactl features

* Sun Feb 18 2024 Vitaly Lipatov <lav@altlinux.ru> 20240217-alt0.p10.1
- add if_notfeature
- add python3, wine features

* Tue Feb 06 2024 Vitaly Lipatov <lav@altlinux.ru> 20240206-alt0.p10.1
- update features' versions

* Fri Aug 04 2023 Vitaly Lipatov <lav@altlinux.ru> 20230804-alt0.p10.1
- switch to date stamp version
- update features' versions, add gcc, glibc, glib2, glibmm

* Mon Apr 17 2023 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt1.p10.2
- just increment release to fix bug with broken version in p10

* Thu Mar 16 2023 Vitaly Lipatov <lav@altlinux.ru> 1.0-alt0.p10.1
- p10: step dotnet version to 7.0
- add mono and gtk_sharp features
- add arm, mips32 and i586 support
- p10: update versions for all features

* Mon Dec 19 2022 Vitaly Lipatov <lav@altlinux.ru> 0.8-alt0.p10.1
- add php presence flags

* Sun Feb 13 2022 Vitaly Lipatov <lav@altlinux.ru> 0.7-alt1
- add arch dependend part for feature macros

* Sun Feb 13 2022 Vitaly Lipatov <lav@altlinux.ru> 0.6-alt1
- add unwind 1.5.0

* Mon Dec 13 2021 Vitaly Lipatov <lav@altlinux.ru> 0.5-alt1
- add pcad and llvm versions

* Fri Oct 15 2021 Vitaly Lipatov <lav@altlinux.ru> 0.4-alt1
- set versions for qt5 and vkd3d
- add provides/obsoletes for rpm-build-features

* Thu Sep 30 2021 Vitaly Lipatov <lav@altlinux.ru> 0.3-alt1
- implement if_feature FEATURE [VERSION]

* Fri Jul 09 2021 Vitaly Lipatov <lav@altlinux.ru> 0.1-alt1
- initial build for ALT Sisyphus
